AC(8)

NAME
ac - connect time accounting

SYNOPSIS
ac [-dp] [-t tty] [-w wtmp] [user ...]

DESCRIPTION
If the file /var/log/wtmp exists, a record of individual login and logout times are written to it by login(1) and init(8), respectively. ac examines these records and writes the accumulated connect time for all logins to the standard output.

The options are as follows:

-d  Display the connect times in 24 hour chunks.

-p  Print individual users' totals.

-t tty
    Only do accounting logins on certain ttys. The tty specification can start with ‘’! to indicate not this tty and end with ‘*’ to indicate all similarly named ttys. Multiple -t flags may be specified.

-w wtmp
    Read connect time data from wtmp instead of the default file, /var/log/wtmp.

user ...
    Display totals for the given individuals only.

If no arguments are given, ac displays the total connect time for all accounts with login sessions recorded in wtmp(5).

The default wtmp file will increase without bound unless it is truncated. It is normally truncated by newsyslog(8), which renames and rotates the wtmp files every week. In order for ac to run in sync with the rotation of wtmp, newsyslog(8) is configured to run just after ac completes.

User accounting information can be mailed weekly to the system administrator: see weekly(8) for more information. No login or connect time accounting is performed if /var/log/wtmp does not exist.

FILES
/var/log/wtmp
    connect time accounting file
/var/log/wtmp.[0-7]
    rotated files

EXIT STATUS

EXAMPLES
Allow times recorded in modems to be charged out at a different rate than other:

    $ ac -p -t "ttyd*"  modems
    $ ac -p -t "!ttyd*"  other

SEE ALSO
login(1), wtmp(5), cron(8), init(8), newsyslog(8), sa(8)

HISTORY
An ac command appeared in AT&T UNIX. This version of ac was written for NetBSD 0.9a from the specification provided by various systems' manual pages.